Subject: Re: bug#18601: 24.3.94; set-fringe-mode with left fringe 0 breaks window width calculations on Mac OS

From: Constantine Vetoshev <[email-masked]>
Date: Fri, 3 Oct 2014 13:53:03 -0700

On Fri, Oct 3, 2014 at 11:36 AM, Eli Zaretskii <[email-masked]> wrote:
> I think you should correct term-window-width to subtract 1 from the
> width when any fringe has zero width, not just the right fringe.

I think I understand. How about this?

(defun term-window-width ()
  (if (and (not (featurep ‘xemacs))
  (display-graphic-p)
  overflow-newline-into-fringe
  (/= (frame-parameter nil ‘right-fringe) 0)
  (/= (frame-parameter nil ‘left-fringe) 0))
      (window-body-width)
    (1- (window-body-width))))

That does make the problem go away.